# SidekiqProby

Provides a middleware which allows you to monitor the execution of
sidekiq jobs with proby.

This is particular useful when used together with
[sidetiq](https://github.com/tobiassvn/sidetiq/).

## Installation

Add this line to your application's Gemfile:

    gem 'sidekiq_proby'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install sidekiq_proby

## Usage

    class MyWorker
      include Sidekiq::Worker
      extend SidekiqProby::Trackable

      proby_task_id 'aasdoibeo125bk3bu3ljoi'

      def perform
        ...
      end
    end

## Contributing

1. Fork it ( https://github.com/hitfox/sidekiq_proby/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
